#!/usr/bin/python3

from tkinter import *
from tkinter import messagebox

import socket
import tkinter
import sys
import os
import time

def get_ip_address():
     try:
         s=socket.socket(socket.AF_INET,
                       socket.SOCK_DGRAM)
         s.connect(("8.8.8.8", 80))
     
     except:
         return "No Network"
        
     return s.getsockname()[0]

def recProgram():
        recButton.configure (bg = "white")
        resetButton.configure (bg = "white")
        stopButton.configure (bg = "white")
        status_label.configure (text = " Recording ")
        win.configure(background="red")
        os.system('/home/pi/NCJ/NCJ_Start.sh')


def shutdownProgram():
        recButton.configure (bg = "white")
        resetButton.configure (bg = "white")
        stopButton.configure (bg = "white")
        status_label.configure (text = " Shutting Down ")
        if (messagebox.askyesno("Shutdown Pi", "Shutdown NCJ Recorder??")):
             os.system('/home/pi/NCJ/NCJ_Shutdown.sh')
             status_label.configure (text = "Shutting Down..... ")
        else:
             status_label.configure (text = " Shutdown Aborted!! ")

def resetProgram():
        recButton.configure (bg = "white")
        resetButton.configure (bg = "white")
        stopButton.configure (bg = "white")
        status_label.configure (text = " Resetting System ")
        if (messagebox.askyesno("Reset App", "Delete Existing Sound Files?")):
             os.system('/home/pi/NCJ/NCJ_Reset.sh')
             status_label.configure (text = " Existing Sound Files Deleted ")
             win.configure(background="blue")
        else:
             status_label.configure (text = " Nothing Deleted ")

def stopProgram():
        recButton.configure (bg = "white")
        resetButton.configure (bg = "white")
        stopButton.configure (bg = "white")
        win.configure(background="blue")
        status_label.configure (text = " Recording Stopped ")
        os.system('/home/pi/NCJ/NCJ_Stop.sh')

time.sleep(15)
     
win = tkinter.Tk()
frame = Frame()
frame.pack()
ipString = get_ip_address()

ip_label = Label (win,
                  text=" The ip address is: " + ipString)
ip_label.pack()
 
blank_label = Label (win,
                     text="")
blank_label.pack()

status_label = Label (win,
                      text=" System has Started " )
status_label.pack()

bottomframe = Frame()
bottomframe.pack( side = BOTTOM )

win.title("NCJ Audio Recording Appliance V5.1")
win.geometry('480x300')
win.configure(background="blue")
        
resetButton = Button(bottomframe,
                     text = "Reset App",
                     height="4",
                     width="10",
                     bg = "white",
                     command = resetProgram)
resetButton.pack(side=LEFT)

recButton = Button(bottomframe,
                   text = "Record Audio",
                   height="4",
                   width="10",
                   bg = "white",
                   command = recProgram)
recButton.pack(side=LEFT)

stopButton = Button(bottomframe,
                    text = "Stop Recording",
                    height="4",
                    width="10",
                    bg = "white",
                    command = stopProgram)
stopButton.pack(side=LEFT)

shutdownButton = Button(bottomframe,
                        text = "Shutdown",
                        height="4",
                        width="10",
                        bg = "white",
                        command = shutdownProgram)
shutdownButton.pack(side=LEFT)

mainloop()
        
