#!/bin/bash
#Test to see if the record function is running

#Set context for file storage
NCJ_context='/home/pi/NCJ/Files/'

#Set Filename for next file
current_filename=NCJ_`date '+%Y_%m_%d_%H_%M_%S'.mp3`

#Build entire filename
NCJ_filename=$NCJ_context$current_filename

# Test to see if arecord has been started. If so, kill the process
# Pause to allow processes to die and then restart
if pgrep arecord
then
     pkill arecord
     sleep .5
     arecord -c 2 -f cd $NCJ_filename &> $ &
fi
